> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Attachment



## OpenAPI

````yaml /specs/fc-kyb-facade-bundled_generated.yaml get /v2/organizations/{entityId}/documents/{documentId}/attachments/{attachmentId}
openapi: 3.0.3
info:
  title: KYB Facade API
  version: '2.0'
  description: >-
    This is the MVP for Phase 1 APIs for V2 KYB. Currently in development,
    changes to the structure can occur
  contact:
    name: FrankieOne
    url: https://www.frankieone.com
    email: help@frankieone.com
servers:
  - url: https://api.kycaml.frankiefinancial.io
    description: Production API Base URL
  - url: https://api.kycaml.uat.frankiefinancial.io
    description: UAT Environment API Base URL
security:
  - Api-Key: []
tags:
  - name: Organizations
    description: Api calls related to Organizations
  - name: Reports
    description: All Frankie reports
  - name: Hosted URL
    description: Api calls related to Hosted URL
paths:
  /v2/organizations/{entityId}/documents/{documentId}/attachments/{attachmentId}:
    get:
      tags:
        - Documents
      summary: Get Attachment
      operationId: getAttachment
      parameters:
        - $ref: '#/components/parameters/entityId'
        - $ref: '#/components/parameters/documentId'
        - $ref: '#/components/parameters/attachmentId'
        - $ref: '#/components/parameters/attachmentFormat'
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
      responses:
        '200':
          description: >-
            OK - depending on request attachment format the type of content is
            returned, if raw is requested different file types are expected
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/documents_attachment_response'
            application/pdf:
              schema:
                type: string
                format: binary
            application/jpg:
              schema:
                type: string
                format: binary
            application/vnd.ms-word:
              schema:
                type: string
                format: binary
            text/plain:
              schema:
                type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    entityId:
      name: entityId
      in: path
      schema:
        type: string
      description: Unique FrankieOne identifier for an entity
      required: true
    documentId:
      name: documentId
      in: path
      schema:
        type: string
      description: Unique identifier for a document
      required: true
    attachmentId:
      name: attachmentId
      in: path
      schema:
        type: string
      required: true
    attachmentFormat:
      name: format
      in: query
      schema:
        type: string
        enum:
          - NONE
          - BASE64
          - RAW
      description: Enum of the attachment format - [NONE, BASE64, RAW]
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
  schemas:
    documents_attachment_response:
      type: object
      properties:
        requestId:
          type: string
        attachment:
          $ref: '#/components/schemas/Document-Attachment'
        informationSource:
          $ref: '#/components/schemas/Information-Source'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Document-Attachment:
      type: object
      required:
        - data
      description: Document attachment details.
      properties:
        attachmentId:
          $ref: '#/components/schemas/Document-Attachment-ID'
        sourceId:
          type: string
          readOnly: true
          description: >-
            The source from which specific information was sourced. This is a
            link to an informationSource object in the informationSources map.
          x-oapi-codegen-extra-tags:
            audit: keep
        createdAt:
          type: string
          readOnly: true
          format: date-time
          description: >-
            The date and time the attachment was created. This is not the date
            of the attached document, which should be in the idIssued attribute
            of the document that owns this attachment.
          x-oapi-codegen-extra-tags:
            audit: keep
        updatedAt:
          type: string
          format: date-time
          readOnly: true
          description: >-
            The date and time the attachment was last updated. This is not the
            date of the attached document, which should be in the idIssued
            attribute of the document that owns this attachment.
          x-oapi-codegen-extra-tags:
            audit: keep
        filename:
          type: string
          description: >-
            If you are uploading a file where it is important to keep the
            original filename, you can provide it here. Otherwise, the Frankie
            service will assign an arbitrary name based on the attachmentId and
            an extension based on the MIME type.
          x-oapi-codegen-extra-tags:
            audit: mask
        mimeType:
          type: string
          description: >-
            The standard MIME type of the file being uploaded. This will be
            verified, but providing it can help speed up processing.
          x-oapi-codegen-extra-tags:
            audit: keep
        pageNumber:
          type: integer
          description: >-
            If uploading multiple pages, this can be used to track page numbers.
            There is no enforcement of these numbers. You can have multiple page
            1's or a page 29 if you wish.
          x-oapi-codegen-extra-tags:
            audit: keep
        side:
          $ref: '#/components/schemas/Document-Attachment-Side'
        type:
          $ref: '#/components/schemas/Document-Attachment-Type'
        location:
          description: Reference to where the data can be retrieved from.
          type: string
          x-oapi-codegen-extra-tags:
            audit: keep
        data:
          $ref: '#/components/schemas/Data-URI-Base64'
        lastMalwareScanAt:
          type: string
          format: date-time
          x-oapi-codegen-extra-tags:
            audit: keep
        retrievalStatus:
          $ref: '#/components/schemas/Document-Attachment-Retrieval-Status'
    Information-Source:
      type: object
      properties:
        sourceId:
          type: string
          description: >-
            As sources are added to an entity, they're assigned a unique
            identifier to assist with modification and reference.

            To modify a source, include the sourceId in an update request call.
          x-oapi-codegen-extra-tags:
            audit: keep
        source:
          description: The source of information like document number, website, etc.
          type: string
          example: Client
          x-oapi-codegen-extra-tags:
            audit: keep
        sourceNormalized:
          description: The result of converting the raw source name to a normalized result.
          type: string
          readOnly: true
          x-oapi-codegen-extra-tags:
            audit: keep
        description:
          description: The type or details of the source of information.
          type: string
          example: ''
          x-oapi-codegen-extra-tags:
            audit: keep
        provider:
          description: The provider of the information, e.g., Equifax.
          type: string
          example: equifax-au
          x-oapi-codegen-extra-tags:
            audit: keep
        providerReference:
          description: Reference linking to the provider for this information.
          type: string
          example: ''
          x-oapi-codegen-extra-tags:
            audit: keep
        createdAt:
          type: string
          format: date-time
          description: The date and time this information was first created in the system.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        requestedAt:
          type: string
          format: date-time
          description: >-
            The date and time FrankieOne requested this information from the
            external source provider.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        retrievedAt:
          type: string
          format: date-time
          description: >-
            The date and time FrankieOne retrieved this information from the
            external source provider.
          example: '2024-01-15T02:18:11.365Z'
          x-oapi-codegen-extra-tags:
            audit: keep
        isAuthoritative:
          type: boolean
          description: >-
            Indicates whether this information is from an authoritative source,
            e.g., a company registry.
          example: false
          x-oapi-codegen-extra-tags:
            audit: keep
      readOnly: true
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Document-Attachment-ID:
      type: string
      format: uuid
      description: >-
        When a document attachment is created or uploaded, it is assigned an
        attachmentId. This identifier will appear in a successful response or
        accepted response. It can be referenced in subsequent calls if you are
        uploading additional or updated data.
      x-oapi-codegen-extra-tags:
        audit: keep
    Document-Attachment-Side:
      type: string
      enum:
        - FRONT
        - BACK
      description: >-
        Indicates whether the attachment is the front or back side of a
        document.
      x-oapi-codegen-extra-tags:
        audit: keep
    Document-Attachment-Type:
      type: string
      description: |-
        General types of valid document attachments.
          - "PHOTO": Any photo.
          - "VIDEO": Any video.
          - "AUDIO": Any audio.
          - "PDF": PDF or PS file (may contain text, images, or both).
          - "DOC": Word document, RTF, etc.
          - "ZIP": Any compressed file(s).
      x-oapi-codegen-extra-tags:
        audit: keep
    Data-URI-Base64:
      description: A Base64-encoded string or URI representing the data.
      oneOf:
        - type: object
          readOnly: true
          required:
            - uri
          properties:
            uri:
              type: string
              description: URI identifying the resource location.
              example: >-
                https://s3.amazonaws.com/dev/41963bc5feff322020137de233c3be0fac6/croppedFrontID/38d54232-b840-431d-b248-152345fe214.jpg
              x-oapi-codegen-extra-tags:
                audit: keep
        - type: object
          required:
            - base64
          properties:
            base64:
              type: string
              description: Base64-encoded string of the raw attachment data.
              example: ZG9jdW1lbnQgaW1hZ2UgZ29lcyBoZXJl
              x-oapi-codegen-extra-tags:
                audit: redact
    Document-Attachment-Retrieval-Status:
      type: string
      readOnly: true
      enum:
        - NORMAL
        - EXCLUDED
        - FAILED
      description: >-
        The reason why the data in a response is missing.


        - "NORMAL": The data was retrieved and is included. If it is empty, then
          it was never provided or was provided empty.

        - "EXCLUDED": The retrieval request was not for 'full' data, or the
        object
          has been deleted, so the data is not included.

        - "FAILED": The data could not be retrieved from the secure document
          store.

        The retrievalStatus enum will not usually be set in a request. If an

        attachment in a response has a 'FAILED' retrieval state, then

        that object should not be sent back in a future update. It should

        either be omitted or the original data should be resent if it is
        available

        from another source. However, it is safe to send the object in an update

        with the state received in a response. Any state other than 'NORMAL' (or

        '') will cause the blank data to be ignored, but other fields in the

        object will be updated if needed.
      x-oapi-codegen-extra-tags:
        audit: keep
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''

````